 'use strict';

const util = require('util');
const config = require('config');
const fetch = require('node-fetch');

function self(post) {
    return Promise.resolve({
        album: null,
        items: [{
            id: post.id,
            url: post.url,
            title: post.title,
            text: post.text,
            datetime: post.datetime,
            type: 'text/plain',
            self: true,
            original: post
        }]
    });
};

module.exports = self;
